Skip to navigation

Update Household

Available by Request

Update information for a specific household

This endpoint is part of our evolving API ecosystem. To explore availability for your integration, please contact our team.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

householdIdstringRequired
The id of the household

Response

Expected response to a valid request
statusenumOptional
Allowed values:
isUnderEvictionbooleanOptional
idstringOptionalformat: "uuid"
readableIdstringOptional
idempotencyIdstringOptionalformat: "uuid"
createdAtdatetimeOptional
updatedAtdatetimeOptional
deletedAtdatetimeOptional
currentUnitIdstringOptionalformat: "uuid"
Current unit the household is associated with. Set only when the lease is active
currentLeaseIdstringOptionalformat: "uuid"
Current active lease for the household.
applicationIdstringOptionalformat: "uuid"
organizationIdstringOptionalformat: "uuid"
propertyIdstringOptionalformat: "uuid"
currentCertificationIdstringOptionalformat: "uuid"
prospectIdstringOptionalformat: "uuid"
primaryCustomerIdstringOptionalformat: "uuid"
totalActiveRentAmountdoubleOptional
Sum of all active RENT monthly lease transactions for the household
totalActiveSubsidyAmountdoubleOptional
Sum of all active SUBRENT monthly lease transactions for the household
totalActiveFeesAmountdoubleOptional

Sum of all active non-optional fee (charge) monthly lease transactions for the household

balanceobjectOptional
configurationobjectOptional
unitobjectOptional
leaseobjectOptional
applicationobjectOptional
organizationobjectOptional
propertyobjectOptional
prospectobjectOptional
attachmentslist of objectsOptional
workOrderslist of objectsOptional
leaseslist of objectsOptional
documentslist of objectsOptional
glEntrieslist of objectsOptional
reversalslist of objectsOptional
scheduledTransactionslist of objectsOptional
screeningslist of objectsOptional
transactionslist of objectsOptional
primaryCustomerobjectOptional
customerslist of objectsOptional
certificationslist of objectsOptional
currentCertificationobjectOptional
moveOutslist of objectsOptional
unitIdstringOptionalformat: "uuid"Deprecated
Deprecated, use currentUnitId instead